Delete a module
DELETE /api/courses/{courseId}/modules/{moduleId}. Delete a module. Headless LMS Content API reference.
Requires courses:write. Returns the course's modules.
Path Parameters
courseId*string
moduleId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/courses/string/modules/string"[ { "orgId": "string", "id": "string", "courseId": "string", "title": "string", "seq": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Rename a module PATCH
PATCH /api/courses/{courseId}/modules/{moduleId}. Rename a module. Headless LMS Content API reference.
Reorder the activities in a module POST
POST /api/courses/{courseId}/modules/{moduleId}/activities/reorder. Reorder the activities in a module. Headless LMS Content API reference.